Bug 734833 - service katello-jobs stop shows non-absolute home (ArgumentError)
Summary: service katello-jobs stop shows non-absolute home (ArgumentError)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-31 15:05 UTC by Lukas Zapletal
Modified: 2013-03-27 20:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:54:45 UTC


Attachments (Terms of Use)

Description Lukas Zapletal 2011-08-31 15:05:06 UTC
service katello-jobs stop
Stopping katello-job: /usr/share/katello /
/usr/lib/ruby/gems/1.8/gems/compass-0.11.5/lib/compass.rb:20:in `expand_path': non-absolute home (ArgumentError)
	from /usr/lib/ruby/gems/1.8/gems/compass-0.11.5/lib/compass.rb:20:in `shared_extension_paths'
	from /usr/lib/ruby/gems/1.8/gems/compass-0.11.5/lib/compass/configuration/helpers.rb:105:in `discover_extensions!'
	from /usr/lib/ruby/gems/1.8/gems/compass-0.11.5/lib/compass/app_integration/rails.rb:59:in `initialize!'
	from /usr/lib/ruby/gems/1.8/gems/compass-0.11.5/lib/compass/app_integration/rails/actionpack3/railtie.rb:43
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/initializable.rb:25:in `instance_exec'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/initializable.rb:25:in `run'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/initializable.rb:50:in `run_initializers'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/initializable.rb:49:in `each'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/initializable.rb:49:in `run_initializers'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/application.rb:134:in `initialize!'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/application.rb:77:in `send'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.5/lib/rails/application.rb:77:in `method_missing'
	from /usr/share/katello/config/environment.rb:5
	from /usr/share/katello/script/delayed_job:3:in `require'
	from /usr/share/katello/script/delayed_job:3

Comment 1 Lukas Zapletal 2011-08-31 15:07:37 UTC
a57884a 734833 - service katello-jobs stop shows non-absolute home (ArgumentError)

Comment 2 Jeff Weiss 2011-09-26 16:41:57 UTC
Seems to work now

[root@katello-ci conf.d]# service katello-jobs stop
Stopping katello-job: 
[root@katello-ci conf.d]# 

Verified katello-0.1.84-1.git.26.51fa1e1.fc14.noarch


Note You need to log in before you can comment on or make changes to this bug.